
package Gtk2::WebKit;
our @ISA = qw();
sub check_version { my ($_class, $_major, $_minor, $_micro) = @_ }
sub major_version { my ($_class) = @_ }
sub micro_version { my ($_class) = @_ }
sub minor_version { my ($_class) = @_ }

package Gtk2::WebKit::NetworkRequest;
our @ISA = qw();
sub get_uri { my ($_request) = @_ }
sub new { my ($_class, $_uri) = @_ }
sub set_uri { my ($_request, $_uri) = @_ }

package Gtk2::WebKit::WebBackForwardList;
our @ISA = qw();
sub contains_item { my ($_web_back_forward_list, $_history_item) = @_ }
sub get_back_item { my ($_web_back_forward_list) = @_ }
sub get_back_length { my ($_web_back_forward_list) = @_ }
sub get_back_list_with_limit { my ($_web_back_forward_list, $_limit) = @_ }
sub get_current_item { my ($_web_back_forward_list) = @_ }
sub get_forward_item { my ($_web_back_forward_list) = @_ }
sub get_forward_length { my ($_web_back_forward_list) = @_ }
sub get_forward_list_with_limit { my ($_web_back_forward_list, $_limit) = @_ }
sub get_limit { my ($_web_back_forward_list) = @_ }
sub get_nth_item { my ($_web_back_forward_list, $_index) = @_ }
sub go_back { my ($_web_back_forward_list) = @_ }
sub go_forward { my ($_web_back_forward_list) = @_ }
sub go_to_item { my ($_web_back_forward_list, $_history_item) = @_ }
sub new_with_web_view { my ($_class, $_web_view) = @_ }
sub set_limit { my ($_web_back_forward_list, $_limit) = @_ }

package Gtk2::WebKit::WebFrame;
our @ISA = qw();
sub find_frame { my ($_frame, $_name) = @_ }
sub get_name { my ($_frame) = @_ }
sub get_parent { my ($_frame) = @_ }
sub get_title { my ($_frame) = @_ }
sub get_uri { my ($_frame) = @_ }
sub get_web_view { my ($_frame) = @_ }
sub load_request { my ($_frame, $_request) = @_ }
sub new { my ($_class, $_view) = @_ }
sub reload { my ($_frame) = @_ }
sub stop_loading { my ($_frame) = @_ }

package Gtk2::WebKit::WebHistoryItem;
our @ISA = qw();
sub get_alternate_title { my ($_web_history_item) = @_ }
sub get_last_visited_time { my ($_web_history_item) = @_ }
sub get_original_uri { my ($_web_history_item) = @_ }
sub get_title { my ($_web_history_item) = @_ }
sub get_uri { my ($_web_history_item) = @_ }
sub new { my ($_class) = @_ }
sub new_with_data { my ($_class, $_uri, $_title) = @_ }
sub set_alternate_title { my ($_web_history_item, $_title) = @_ }

package Gtk2::WebKit::WebSettings;
our @ISA = qw();
sub copy { my ($_web_settings) = @_ }
sub new { my ($_class) = @_ }

package Gtk2::WebKit::WebView;
our @ISA = qw();
sub can_copy_clipboard { my ($_web_view) = @_ }
sub can_cut_clipboard { my ($_web_view) = @_ }
sub can_go_back { my ($_web_view) = @_ }
sub can_go_back_or_forward { my ($_web_view, $_steps) = @_ }
sub can_go_forward { my ($_web_view) = @_ }
sub can_paste_clipboard { my ($_web_view) = @_ }
sub copy_clipboard { my ($_web_view) = @_ }
sub cut_clipboard { my ($_web_view) = @_ }
sub delete_selection { my ($_web_view) = @_ }
sub execute_script { my ($_web_view, $_script) = @_ }
sub get_back_forward_list { my ($_web_view) = @_ }
sub get_copy_target_list { my ($_web_view) = @_ }
sub get_editable { my ($_web_view) = @_ }
sub get_focused_frame { my ($_web_view) = @_ }
sub get_full_content_zoom { my ($_web_view) = @_ }
sub get_main_frame { my ($_web_view) = @_ }
sub get_paste_target_list { my ($_web_view) = @_ }
sub get_settings { my ($_web_view) = @_ }
sub get_transparent { my ($_web_view) = @_ }
sub get_zoom_level { my ($_web_view) = @_ }
sub go_back { my ($_web_view) = @_ }
sub go_back_or_forward { my ($_web_view, $_steps) = @_ }
sub go_forward { my ($_web_view) = @_ }
sub go_to_back_forward_item { my ($_web_view, $_item) = @_ }
sub has_selection { my ($_web_view) = @_ }
sub load_html_string { my ($_web_view, $_content, $_base_uri) = @_ }
sub load_string { my ($_web_view, $_content, $_content_mime_type, $_content_encoding, $_base_uri) = @_ }
sub mark_text_matches { my ($_web_view, $_string, $_case_sensitive, $_limit) = @_ }
sub new { my ($_class) = @_ }
sub open { my ($_web_view, $_uri) = @_ }
sub paste_clipboard { my ($_web_view) = @_ }
sub reload { my ($_web_view) = @_ }
sub search_text { my ($_web_view, $_string, $_case_sensitive, $_forward, $_wrap) = @_ }
sub select_all { my ($_web_view) = @_ }
sub set_editable { my ($_web_view, $_flag) = @_ }
sub set_full_content_zoom { my ($_web_view, $_full_content_zoom) = @_ }
sub set_highlight_text_matches { my ($_web_view, $_highlight) = @_ }
sub set_maintains_back_forward_list { my ($_web_view, $_flag) = @_ }
sub set_settings { my ($_web_view, $_settings) = @_ }
sub set_transparent { my ($_web_view, $_flag) = @_ }
sub set_zoom_level { my ($_web_view, $_zoom_level) = @_ }
sub stop_loading { my ($_web_view) = @_ }
sub unmark_text_matches { my ($_web_view) = @_ }
sub zoom_in { my ($_web_view) = @_ }
sub zoom_out { my ($_web_view) = @_ }
